HealthLake에 대한 FHIR $submit 작업 - AWS HealthLake

기계 번역으로 제공되는 번역입니다. 제공된 번역과 원본 영어의 내용이 상충하는 경우에는 영어 버전이 우선합니다.

HealthLake에 대한 FHIR $submit 작업

$submit 작업을 통해 승인을 위해 지급자에게 사전 권한 부여 요청을 전자적으로 제출할 수 있습니다. 이 작업은 Da Vinci 사전 승인 지원(PAS) 구현 가이드를 구현하여 사전 승인 제출을 위한 표준화된 FHIR 기반 워크플로를 제공합니다.

작동 방식

  • 제출: 사전 승인 요청과 지원 임상 데이터가 포함된 FHIR 번들을 보냅니다.

  • 검증: HealthLake는 PAS 요구 사항을 기준으로 제출을 검증합니다.

  • 지속성: 모든 리소스가 HealthLake 데이터 스토어에 저장됩니다.

  • 응답: "대기열" 상태의 즉각적인 응답을 받습니다.

  • 프로세스: 권한 부여 결정은 지급인에 의해 비동기적으로 처리됩니다.

API 엔드포인트

POST /datastore/{datastoreId}/r4/Claim/$submit Content-Type: application/fhir+json

요청 구조

번들 요구 사항

요청은 다음을 포함하는 FHIR 번들 리소스여야 합니다.

  • Bundle.type: 이어야 함 "collection"

  • Bundle.entry:를 사용하여 정확히 하나의 클레임 리소스를 포함해야 합니다. use = "preauthorization"

  • 참조 리소스: 클레임에서 참조하는 모든 리소스가 번들에 포함되어야 합니다.

필수 리소스

Resource 카디널리티 프로필 설명
클레임 1 PAS 클레임 이전 권한 부여 요청
환자 1 PAS 환자 환자 인구통계 정보
조직(보험사) 1 PAS 보험 회사 보험 회사
조직(제공자) 1 PAS 요청자 요청을 제출하는 의료 서비스 제공자
적용 범위 1개 이상 PAS 적용 범위 보험 적용 범위 세부 정보

선택적 리소스

Resource 카디널리티 프로필 설명
프랙티셔너 0개 이상 PAS 프랙티셔너 의료 종사자
PractitionerRole 0개 이상 PAS PractitionerRole 프랙티셔너 역할
ServiceRequest 0개 이상 PAS ServiceRequest 요청된 의료 서비스
DeviceRequest 0개 이상 PAS DeviceRequest 요청된 의료 디바이스
MedicationRequest 0개 이상 PAS MedicationRequest 요청된 약물
DocumentReference 0개 이상 PAS DocumentReference 임상 문서 지원

요청 예제

POST /datastore/example-datastore/r4/Claim/$submit Content-Type: application/fhir+json Authorization: Bearer <your-token> { "resourceType" : "Bundle", "id" : "MedicalServicesAuthorizationBundleExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-pas-request-bundle"] }, "identifier" : { "system" : "http://example.org/SUBMITTER_TRANSACTION_IDENTIFIER", "value" : "5269367" }, "type" : "collection", "timestamp" : "2005-05-02T11:01:00+05:00", "entry" : [{ "fullUrl" : "http://example.org/fhir/Claim/MedicalServicesAuthorizationExample", "resource" : { "resourceType" : "Claim", "id" : "MedicalServicesAuthorizationExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-claim"] }, "identifier" : [{ "system" : "http://example.org/PATIENT_EVENT_TRACE_NUMBER", "value" : "111099" }], "status" : "active", "type" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/claim-type", "code" : "professional" }] }, "use" : "preauthorization", "patient" : { "reference" : "Patient/SubscriberExample" }, "created" : "2005-05-02T11:01:00+05:00", "insurer" : { "reference" : "Organization/InsurerExample" }, "provider" : { "reference" : "Organization/UMOExample" }, "priority" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/processpriority", "code" : "normal" }] }, "insurance" : [{ "sequence" : 1, "focal" : true, "coverage" : { "reference" : "Coverage/InsuranceExample" } }], "item" : [{ "extension" : [{ "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-serviceItemRequestType", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1525", "code" : "IN", "display" : "Initial Medical Services Reservation" }] } }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-certificationType", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1322", "code" : "I", "display" : "Initial" }] } }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-authorizationNumber", "valueString" : "1122344" }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-administrationReferenceNumber", "valueString" : "33441122" }], "sequence" : 1, "category" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1365", "code" : "1", "display" : "Medical Care" }] }, "productOrService" : { "coding" : [{ "system" : "http://www.cms.gov/Medicare/Coding/HCPCS​ReleaseCodeSets", "code" : "99212", "display" : "Established Office Visit" }] }, "servicedDate" : "2005-05-10", "locationCodeableConcept" : { "coding" : [{ "system" : "https://www.cms.gov/Medicare/Coding/place-of-service-codes/Place_of_Service_Code_Set", "code" : "11" }] } }] } }, { "fullUrl" : "http://example.org/fhir/Organization/UMOExample", "resource" : { "resourceType" : "Organization", "id" : "UMOExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-requestor"] }, "identifier" : [{ "system" : "http://hl7.org/fhir/sid/us-npi", "value" : "8189991234" }], "active" : true, "type" : [{ "coding" : [{ "system" : "https://codesystem.x12.org/005010/98", "code" : "X3" }] }], "name" : "DR. JOE SMITH CORPORATION", "address" : [{ "line" : ["111 1ST STREET"], "city" : "SAN DIEGO", "state" : "CA", "postalCode" : "92101", "country" : "US" }] } }, { "fullUrl" : "http://example.org/fhir/Organization/InsurerExample", "resource" : { "resourceType" : "Organization", "id" : "InsurerExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-insurer"] }, "identifier" : [{ "system" : "http://hl7.org/fhir/sid/us-npi", "value" : "1234567893" }], "active" : true, "type" : [{ "coding" : [{ "system" : "https://codesystem.x12.org/005010/98", "code" : "PR" }] }], "name" : "MARYLAND CAPITAL INSURANCE COMPANY" } }, { "fullUrl" : "http://example.org/fhir/Coverage/InsuranceExample", "resource" : { "resourceType" : "Coverage", "id" : "InsuranceExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-coverage"] }, "status" : "active", "subscriberId" : "1122334455", "beneficiary" : { "reference" : "Patient/SubscriberExample" }, "relationship" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/subscriber-relationship", "code" : "self" }, { "system" : "https://codesystem.x12.org/005010/1069", "code" : "18" }] }, "payor" : [{ "reference" : "Organization/InsurerExample" }] } }, { "fullUrl" : "http://example.org/fhir/Patient/SubscriberExample", "resource" : { "resourceType" : "Patient", "id" : "SubscriberExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-subscriber"] }, "extension" : [{ "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-militaryStatus", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/584", "code" : "RU" }] } }], "identifier" : [{ "type" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/v2-0203", "code" : "MB" }] }, "system" : "http://example.org/MIN", "value" : "12345678901" }], "name" : [{ "family" : "SMITH", "given" : ["JOE"] }], "gender" : "male" } }] }

응답 형식

성공 응답(200 OK)

다음이 포함된 PAS 응답 번들을 받게 됩니다.

  • outcome: "queued" 및를 사용한 ClaimResponse status: "active"

  • 요청의 모든 원본 리소스

  • 수신 확인 타임스탬프

{ "resourceType" : "Bundle", "identifier": { "system": "http://example.org/SUBMITTER_TRANSACTION_IDENTIFIER", "value": "5269367" }, "type" : "collection", "timestamp" : "2005-05-02T11:02:00+05:00", "entry" : [{ "fullUrl" : "http://example.org/fhir/ClaimResponse/PractitionerRequestorPendingResponseExample", "resource" : { "resourceType" : "ClaimResponse", "id" : "PractitionerRequestorPendingResponseExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-claimresponse"] }, "identifier" : [{ "system" : "http://example.org/PATIENT_EVENT_TRACE_NUMBER", "value" : "111099" }], "status" : "active", "type" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/claim-type", "code" : "professional" }] }, "use" : "preauthorization", "patient" : { "reference" : "Patient/SubscriberExample" }, "created" : "2005-05-02T11:02:00+05:00", "insurer" : { "reference" : "Organization/InsurerExample" }, "requestor" : { "reference" : "PractitionerRole/ReferralPractitionerRoleExample" }, "request" : { "reference" : "Claim/MedicalServicesAuthorizationExample" }, "outcome" : "queued" } }, { "fullUrl" : "http://example.org/fhir/Claim/MedicalServicesAuthorizationExample", "resource" : { "resourceType" : "Claim", "id" : "MedicalServicesAuthorizationExample", "meta" : { "profile": [ "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-claim", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-claim|2.1.0" ] }, "identifier" : [{ "system" : "http://example.org/PATIENT_EVENT_TRACE_NUMBER", "value" : "111099" } }], "status" : "active", "type" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/claim-type", "code" : "professional" }] }, "use" : "preauthorization", "patient" : { "reference" : "Patient/SubscriberExample" }, "created" : "2005-05-02T11:01:00+05:00", "insurer" : { "reference" : "Organization/InsurerExample" }, "provider" : { "reference" : "Organization/UMOExample" }, "priority" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/processpriority", "code" : "normal" }] }, "insurance" : [{ "sequence" : 1, "focal" : true, "coverage" : { "reference" : "Coverage/InsuranceExample" } }], "item" : [{ "extension" : [{ "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-serviceItemRequestType", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1525", "code" : "IN", "display" : "Initial Medical Services Reservation" }] } }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-certificationType", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1322", "code" : "I", "display" : "Initial" }] } }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-authorizationNumber", "valueString" : "1122344" }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-administrationReferenceNumber", "valueString" : "33441122" }], "sequence" : 1, "category" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1365", "code" : "1", "display" : "Medical Care" }] }, "productOrService" : { "coding" : [{ "system" : "http://www.cms.gov/Medicare/Coding/HCPCS​ReleaseCodeSets", "code" : "99212", "display" : "Established Office Visit" }] }, "servicedDate" : "2005-05-10", "locationCodeableConcept" : { "coding" : [{ "system" : "https://www.cms.gov/Medicare/Coding/place-of-service-codes/Place_of_Service_Code_Set", "code" : "11" }] } }] } }, { "fullUrl" : "http://example.org/fhir/Organization/UMOExample", "resource" : { "resourceType" : "Organization", "id" : "UMOExample", "meta" : { "profile": [ "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-requestor", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-requestor|2.1.0" ] }, "identifier" : [{ "system" : "http://hl7.org/fhir/sid/us-npi", "value" : "8189991234" }], "active" : true, "type" : [{ "coding" : [{ "system" : "https://codesystem.x12.org/005010/98", "code" : "X3" }] }], "name" : "DR. JOE SMITH CORPORATION", "address" : [{ "line" : ["111 1ST STREET"], "city" : "SAN DIEGO", "state" : "CA", "postalCode" : "92101", "country" : "US" }] } }, { "fullUrl" : "http://example.org/fhir/Organization/InsurerExample", "resource" : { "resourceType" : "Organization", "id" : "InsurerExample", "meta" : { "profile": [ "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-insurer", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-insurer|2.1.0" ] }, "identifier" : [{ "system" : "http://hl7.org/fhir/sid/us-npi", "value" : "1234567893" }], "active" : true, "type" : [{ "coding" : [{ "system" : "https://codesystem.x12.org/005010/98", "code" : "PR" }] }], "name" : "MARYLAND CAPITAL INSURANCE COMPANY" } }, { "fullUrl" : "http://example.org/fhir/Coverage/InsuranceExample", "resource" : { "resourceType" : "Coverage", "id" : "InsuranceExample", "meta": { "profile": [ "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-coverage", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-coverage|2.1.0" ] }, "status" : "active", "subscriberId" : "1122334455", "beneficiary" : { "reference" : "Patient/SubscriberExample" }, "relationship" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/subscriber-relationship", "code" : "self" }, { "system" : "https://codesystem.x12.org/005010/1069", "code" : "18" }] }, "payor" : [{ "reference" : "Organization/InsurerExample" }] } }, { "fullUrl" : "http://example.org/fhir/Patient/SubscriberExample", "resource" : { "resourceType" : "Patient", "id" : "SubscriberExample", "meta": { "profile": [ "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-subscriber", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-beneficiary", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-beneficiary|2.1.0" ] }, "extension" : [{ "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-militaryStatus", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/584", "code" : "RU" }] } }], "identifier" : [{ "type" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/v2-0203", "code" : "MB" }] }, "system" : "http://example.org/MIN", "value" : "12345678901" }], "name" : [{ "family" : "SMITH", "given" : ["JOE"] }], "gender" : "male" } }] }

오류 응답

400 잘못된 요청

요청 형식이 유효하지 않거나 잘못된 형식일 때 반환됩니다.

{ "resourceType": "OperationOutcome", "issue": [{ "severity": "error", "code": "invalid", "diagnostics": "The provided payload was invalid and could not be parsed correctly." }] }

412 사전 조건 실패

동일한 사전 권한 부여 요청이 이미 제출되었을 때 반환됩니다(중복 제출이 감지됨).

{ "resourceType": "OperationOutcome", "issue": [{ "severity": "error", "code": "processing", "diagnostics": "PreAuth Claim already exists" }] }
멱등성

$submit 작업은 멱등성입니다. 동일한 요청을 여러 번 제출해도 사전 권한 부여 요청이 중복되지 않습니다. 대신를 사용하여 원래 제출의 상태를 $inquire 확인하라는 412 오류가 표시됩니다.

422 처리할 수 없는 개체

FHIR 검증에 실패할 때 반환됩니다.

{ "resourceType": "OperationOutcome", "issue": [{ "severity": "error", "code": "required", "diagnostics": "Bundle contains more than one preauthorization claim" }] }

검증 규칙

HealthLake는 제출에 대해 포괄적인 검증을 수행합니다.

번들 검증

  • PAS 요청 번들 프로필을 준수해야 합니다.

  • Bundle.type 여야 합니다. "collection"

  • 여러 클레임 리소스를 포함할 수 있음

  • 그러나는 사전 권한 부여를 사용하는 정확히 하나의 클레임 리소스를 포함해야 합니다.

    • 그리고이 클레임 리소스는 번들의 첫 번째 항목이어야 합니다.

  • 참조된 모든 리소스가 번들에 포함되어야 합니다.

클레임 검증

  • PAS 클레임 프로파일을 준수해야 합니다.

  • Claim.use 여야 합니다. "preauthorization"

  • 필수 필드: patient, insurer, provider, created, priority

  • 비즈니스 식별자가 존재하고 유효해야 합니다.

리소스 검증

  • 모든 리소스는 해당 PAS 프로파일을 준수해야 합니다.

  • 필요한 지원 리소스가 있어야 합니다(환자, 담당 범위, 조직).

  • 교차 참조는 번들 내에서 유효하고 해석 가능해야 합니다.

성능 사양

지표 사양
번들 크기 제한 최대 5MB
리소스 수 제한 번들당 리소스 500개

필수 권한

$submit 작업을 사용하려면 FHIR에서 AWS Sigv4 또는 SMART를 사용할 수 있습니다.

  • IAM 역할에 다음이 있는지 확인합니다. healthlake:SubmitPreAuthClaim - 작업을 호출하려면

FHIR 범위에 대한 SMART

최소 필수 범위:

  • SMART v1: user/Claim.write & <all_resourceTypes_in_Bundle>.write

  • SMART v2: user/Claim.c & <all_resourceTypes_in_Bundle>.c or system/*.*

중요한 구현 참고 사항

리소스 지속성

  • 모든 번들 항목은 데이터 스토어에서 개별 FHIR 리소스로 유지됩니다.

  • 고객 제공 IDs 제공 시 보존됩니다.

  • 버전 기록은 감사 목적으로 유지 관리됩니다.

  • 중복 탐지는 리소스 충돌을 방지합니다.

처리 동작

  • 유효한 각 제출은 "queued" 결과가 있는 정확히 하나의 ClaimResponse를 생성합니다.

  • 잘못된 제출은 자세한 오류 정보와 함께 400 또는 422 상태 코드를 반환합니다.

  • 시스템 오류는 적절한 5xx 상태 코드를 반환합니다.

  • 모든 성공적인 제출은 호출된 ClaimResponse와 함께 200 상태를 반환합니다.

번들 요구 사항

  • Bundle.entry.fullUrl 값은 REST URLs 또는 "urn:uuid:[guid]" 형식이어야 합니다.

  • 모든 GUIDs 제출 간에 고유해야 합니다(동일한 리소스 인스턴스 제외).

  • 참조된 리소스는 번들 내에 존재하거나 해결 가능해야 합니다.

  • Claim/$inquire - 제출된 사전 권한 부여 요청의 상태 쿼리

  • Patient/$everything - 사전 권한 부여 컨텍스트에 대한 포괄적인 환자 데이터 검색